## org.apache.batik.dom.events
Class DocumentEventSupport.UIEventFactory

    java.lang.Object
      org.apache.batik.dom.events.DocumentEventSupport.UIEventFactory

All Implemented Interfaces:
  DocumentEventSupport.EventFactory

Enclosing class:
  DocumentEventSupport

protected static class DocumentEventSupport.UIEventFactory
extends java.lang.Object
implements DocumentEventSupport.EventFactory

To create a UI event.

Constructor Summary
`protected` `DocumentEventSupport.UIEventFactory()`

Method Summary
`org.w3c.dom.events.Event` `createEvent()` Creates a new Event object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentEventSupport.UIEventFactory

    protected DocumentEventSupport.UIEventFactory()

Method Detail

### createEvent

    public org.w3c.dom.events.Event createEvent()

  Creates a new Event object.

  Specified by:
    `createEvent` in interface `DocumentEventSupport.EventFactory`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.